Package org.eclipse.cdt.core.index

# Interface IIndexChangeListener

public interface IIndexChangeListener
An index change listener is notified of changes to the index. These changes arise from the indexer working in the background.

Clients may implement this interface.

EXPERIMENTAL. This class or interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the CDT team.

Since:
  4.0

## Method Summary

Modifier and Type
Method
Description
`void`
`indexChanged(IIndexChangeEvent event)`
Notifies this listener that some part of the index has changed.

## Method Details

### indexChanged

void indexChanged(IIndexChangeEvent event)
Notifies this listener that some part of the index has changed.

The supplied event provides the details. This event object is valid only for the duration of the invocation of this method.

Note: This method is called by CDT; it is not intended to be called directly by clients.

Parameters:
  `event` - the index change event